from django.db import models
from categories.models import Category
from products.models import Product
from account.models import Account

class PAC(models.Model):
    product = models.ForeignKey(Product, on_delete=models.CASCADE)
    category = models.ForeignKey(Category, on_delete=models.CASCADE)
    added_by = models.ForeignKey(Account, on_delete=models.SET_NULL, null=True, blank=True)
    pac_value = models.DecimalField(max_digits=4, decimal_places=2)
    created_at = models.DateTimeField(auto_now_add=True, null=True, blank=True)
    updated_at = models.DateTimeField(auto_now=True, null=True, blank=True)

    def __str__(self):
        return f"{self.product.product_name} - {self.category.name} - {self.pac_value}"
